package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.CourseChange;

/**
 * 调课Service接口
 * 
 * @author ruoyi
 * @date 2023-06-02
 */
public interface ICourseChangeService 
{
    /**
     * 查询调课
     * 
     * @param id 调课主键
     * @return 调课
     */
    public CourseChange selectCourseChangeById(Long id);

    /**
     * 查询调课列表
     * 
     * @param courseChange 调课
     * @return 调课集合
     */
    public List<CourseChange> selectCourseChangeList(CourseChange courseChange);

    /**
     * 新增调课
     * 
     * @param courseChange 调课
     * @return 结果
     */
    public AjaxResult insertCourseChange(CourseChange courseChange);

    /**
     * 修改调课
     * 
     * @param courseChange 调课
     * @return 结果
     */
    public int updateCourseChange(CourseChange courseChange);

    /**
     * 批量删除调课
     * 
     * @param ids 需要删除的调课主键集合
     * @return 结果
     */
    public int deleteCourseChangeByIds(Long[] ids);

    /**
     * 删除调课信息
     * 
     * @param id 调课主键
     * @return 结果
     */
    public int deleteCourseChangeById(Long id);

    AjaxResult updateCourseChangeReply(CourseChange courseChange);

    List<CourseChange> courseList(CourseChange courseChange);
}
